Update Checklist Template
curl --request PUT \
--url https://api.xenia.team/api/v1/task/checklists/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'workspace-id: <api-key>' \
--data '
{
"name": "templates name comes here",
"ChecklistIndustryId": "a0584fcb-99a4-4fa1-9a6c-39cf6aeb2e10",
"ChecklistTypeId": "f17c356e-577e-4c81-9f6a-efde14b1df55",
"icon": {
"icon": "Default",
"color": "#FFA681"
},
"attachments": [],
"checklistItems": [
{
"id": "95603094-6604-499b-92d9-195e9fbb4bd4",
"description": "General Information",
"order": 0,
"type": "header",
"attachments": [],
"isImageOrNoteRequired": false,
"isActive": true
},
{
"id": "3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8",
"description": "Select Location",
"order": 1,
"type": "location",
"attachments": [],
"isImageOrNoteRequired": false,
"options": {
"isDefaultLocation": true
},
"isActive": true
}
],
"description": "description of template comes here",
"FolderId": "2d15dce8-19c7-4969-a2b6-1696a08db09d"
}
'import requests
url = "https://api.xenia.team/api/v1/task/checklists/{id}"
payload = {
"name": "templates name comes here",
"ChecklistIndustryId": "a0584fcb-99a4-4fa1-9a6c-39cf6aeb2e10",
"ChecklistTypeId": "f17c356e-577e-4c81-9f6a-efde14b1df55",
"icon": {
"icon": "Default",
"color": "#FFA681"
},
"attachments": [],
"checklistItems": [
{
"id": "95603094-6604-499b-92d9-195e9fbb4bd4",
"description": "General Information",
"order": 0,
"type": "header",
"attachments": [],
"isImageOrNoteRequired": False,
"isActive": True
},
{
"id": "3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8",
"description": "Select Location",
"order": 1,
"type": "location",
"attachments": [],
"isImageOrNoteRequired": False,
"options": { "isDefaultLocation": True },
"isActive": True
}
],
"description": "description of template comes here",
"FolderId": "2d15dce8-19c7-4969-a2b6-1696a08db09d"
}
headers = {
"workspace-id": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'workspace-id': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'templates name comes here',
ChecklistIndustryId: 'a0584fcb-99a4-4fa1-9a6c-39cf6aeb2e10',
ChecklistTypeId: 'f17c356e-577e-4c81-9f6a-efde14b1df55',
icon: {icon: 'Default', color: '#FFA681'},
attachments: [],
checklistItems: [
{
id: '95603094-6604-499b-92d9-195e9fbb4bd4',
description: 'General Information',
order: 0,
type: 'header',
attachments: [],
isImageOrNoteRequired: false,
isActive: true
},
{
id: '3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8',
description: 'Select Location',
order: 1,
type: 'location',
attachments: [],
isImageOrNoteRequired: false,
options: {isDefaultLocation: true},
isActive: true
}
],
description: 'description of template comes here',
FolderId: '2d15dce8-19c7-4969-a2b6-1696a08db09d'
})
};
fetch('https://api.xenia.team/api/v1/task/checklists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "921f520c-e4d7-4490-8bc1-f9585f98b6b2",
"name": "templates name comes here",
"description": "description of template comes here",
"ChecklistItems": [
{
"id": "95603094-6604-499b-92d9-195e9fbb4bd4",
"description": "General Information",
"type": "header",
"order": 0,
"isActive": true
},
{
"id": "3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8",
"description": "Select Location",
"type": "location",
"order": 1,
"isActive": true,
"options": {
"isDefaultLocation": true
}
}
]
},
"meta": {}
}Templates
Create/Update Template
PUT
/
api
/
v1
/
task
/
checklists
/
{id}
Update Checklist Template
Headers
Path Parameters
Checklist template ID
Body
application/json
Response
Checklist updated successfully
The response is of type object.
⌘I